Subject: Re: wildcard expansion once more
From: Bob McGowan <[email-masked]>
To: David Robinow <[email-masked]>
Cc: [email-masked]
Date: Tue, 09 May 2000 11:36:47 -0700

David Robinow wrote:
> 
> --- Andre Berton <[email-masked]> wrote:
> > While processing large amounts of data, cygwin runs
> > into trouble with
> > wildcard expansion (it happens only while processing
> > thousands of files). For example:
> >        ls */*.txt
> > comes up with
> > bash: //c/cygtools/....bin/ls: Invalid argument
> >
>  This is a bug. It should say "Arg list too long." or
> something similar.

Assuming that the error was from 'ls', I'd agree.  But when I run 'ls'
with an invalid argument, it reports:

	x*x: No such file or directory

It does not prepend "bash:" as seen in this error message.  I would
assume any other errors from 'ls' would be handled the same.  I'm
wondering if there is some problem with the "//c/cygtools/...bin/ls"
part itself?  Put another way, 'bash' is complaining about
"//c/cygtools/...bin/ls" being invalid.

Seems that there is a need here for some further info, such as the
output of:

	cygcheck  -r -s -v

---deleted---

-- 
Bob McGowan
Staff Software Quality Engineer
VERITAS Software
[email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]